> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-in-app-replies/managing-notifications.md).

# Managing Notifications

### In-app notifications

Enable or disable in-app notifications when a new reply arrives:

{% code title="Kotlin" %}

```kotlin
RepliesKmp.setInAppNotificationsEnabled(true)
```

{% endcode %}

### In-app notification sound (Android)

On Android, enable or disable sound for in-app reply notifications:

{% code title="Kotlin" %}

```kotlin
RepliesKmp.setInAppNotificationSound(true)
```

{% endcode %}

No-op on iOS.

### Push notifications (Android)

**Registration token**

Set the FCM token so the backend can send push notifications for new replies:

{% code title="Kotlin" %}

```kotlin
RepliesKmp.setPushNotificationRegistrationToken(fcmToken)
```

{% endcode %}

**Showing a notification from payload**

When you receive a push payload for a reply, pass it to the SDK to show the notification:

{% code title="Kotlin" %}

```kotlin
RepliesKmp.showNotification(data)  // data: Map<String, String>
```

{% endcode %}

**Notification icon and channel**

{% code title="Kotlin" %}

```kotlin
RepliesKmp.setNotificationIcon(R.drawable.ic_notification)
RepliesKmp.setPushNotificationChannelId("luciq_replies")
RepliesKmp.setSystemReplyNotificationSoundEnabled(true)
```

{% endcode %}

All of the above are Android-only; they are no-ops on iOS.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-in-app-replies/managing-notifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
